Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Knauer2012-09-19 16:09:30 +0000
committerMarkus Knauer2012-09-19 16:09:30 +0000
commitcfe264928ed87d4b0b11c3ec4e48502b186e0044 (patch)
treed823e87b7d4e1d67b5244c05ccad05cffaf7004d /bundles/org.eclipse.rap.ui.views
parent79cf4bd34db86ebbd90b20750dde1a28145b69ba (diff)
downloadorg.eclipse.rap-cfe264928ed87d4b0b11c3ec4e48502b186e0044.tar.gz
org.eclipse.rap-cfe264928ed87d4b0b11c3ec4e48502b186e0044.tar.xz
org.eclipse.rap-cfe264928ed87d4b0b11c3ec4e48502b186e0044.zip
Consolidate negated p2 requirements to org.eclipse.rap.feature
Having the negated p2 requirements in all bundles causes downstream builds to fail with unsatisfiable dependencies. This may be an error in the build technology (Tycho and/or p2), but by moving the negated p2 requirements to the RAP feature this issue should be solved. If it works further clean-up is required.
Diffstat (limited to 'bundles/org.eclipse.rap.ui.views')
-rw-r--r--bundles/org.eclipse.rap.ui.views/META-INF/p2.inf9
1 files changed, 4 insertions, 5 deletions
diff --git a/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf b/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf
index 84b0818441..01d00e80ce 100644
--- a/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf
@@ -1,6 +1,5 @@
# Prevent installation if other IU is already installed with a negative requirement.
-requires.0.name = org.eclipse.ui.views
-requires.0.namespace = osgi.bundle
-requires.0.min = 0
-requires.0.max = 0
-
+#requires.0.name = org.eclipse.ui.views
+#requires.0.namespace = osgi.bundle
+#requires.0.min = 0
+#requires.0.max = 0

Back to the top